Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.pipeline.component
Interface PipelineComponent

All Known Subinterfaces:
  Consumer, Finisher, Producer, SAXConsumer, SAXPipelineComponent, SAXProducer, Starter, StAXConsumer, StAXPipelineComponent, StAXProducer

All Known Implementing Classes:
  AbstractLinkRewriterTransformer, AbstractPipelineComponent, AbstractReader, AbstractSAXGenerator, AbstractSAXPipelineComponent, AbstractSAXProducer, AbstractSAXSerializer, AbstractSAXTransformer, AbstractStAXPipelineComponent, AbstractStAXProducer, AbstractStAXTransformer, BetwixtBeanGenerator, CleaningTransformer, CleaningTransformer, ControllerContextAwareStringTemplateGenerator, EncodingHTMLSerializer, EncodingXHTMLSerializer, EncodingXMLSerializer, ExceptionGenerator, FileReaderComponent, FopSerializer, IncludeTransformer, IncludeTransformer, JAXBGenerator, LogAsXMLTransformer, LogTransformer, NekoGenerator, ProfilingGenerator, ProfilingPngSerializer, RedirectorComponent, RegexpLinkRewriterTransformer, RequestParametersGenerator, SAXConsumerAdapter, SAXForStAXPipelineWrapper, SchemaProcessorTransformer, ServiceConsumerGenerator, ServletServiceGenerator, ServletServiceSerializer, ServletServiceTransformer, SolrConsumer, SpringControllerComponent, StAXEventContentHandler, StAXToSAXPipelineAdapter, StringTemplateGenerator, StringTemplateReader, WicketReader, XIncludeTransformer, XMLGenerator, XMLGenerator, XMLSerializer, XMLSerializer, XSLTTransformer

    public interface PipelineComponent

This is a component used in a pipeline. If the environment has some configuration for this component `setConfiguration(Map)` is called as the first step. After the component has been added to pipeline, `setup(Map)` is called before the pipeline is executed. When the pipeline is finished or if any error occurred `finish()` is called.

Method Summary
`void` | `finish()` This method is called after pipeline run - regardless if the run was successful or an exception was thrown.
`void` | `setConfiguration(Map<String,? extends Object> configuration)` Pass component specific configuration parameters to the pipeline component in a generic way.
`void` | `setup(Map<String,Object> parameters)` The shared object map for this pipeline run.

Method Detail

### finish

    void finish()

  This method is called after pipeline run - regardless if the run was successful or an exception was thrown.

### setConfiguration

    void setConfiguration(Map<String,? extends Object> configuration)

  Pass component specific configuration parameters to the pipeline component in a generic way. This is useful in environments that automatically assemble pipelines with their components and can't use the components constructors or setters.

  Parameters:
    `configuration` - The `Map` of configuration parameters.

### setup

    void setup(Map<String,Object> parameters)

  The shared object map for this pipeline run.

  Parameters:
    `parameters` - A `Map` of parameters that are available to all `PipelineComponent`s. This is a modifiable map that can be changed by this pipeline component.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 The Apache Software Foundation. All Rights Reserved.